public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/seed-fu/
Date: Fri, 15 Jul 2022 08:09:23 +0000 (UTC)	[thread overview]
Message-ID: <1657872559.4c3b781cacbac658c049f3aa2fe34c0982ad31a1.graaff@gentoo> (raw)

commit:     4c3b781cacbac658c049f3aa2fe34c0982ad31a1
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 15 07:42:22 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Jul 15 08:09:19 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c3b781c

dev-ruby/seed-fu: EAPI 6 -> 8, add ruby30

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/seed-fu/seed-fu-2.3.9-r1.ebuild | 34 ++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/dev-ruby/seed-fu/seed-fu-2.3.9-r1.ebuild b/dev-ruby/seed-fu/seed-fu-2.3.9-r1.ebuild
new file mode 100644
index 000000000000..b12e4c868d1b
--- /dev/null
+++ b/dev-ruby/seed-fu/seed-fu-2.3.9-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_GEMSPEC="seed-fu.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Advanced seed data handling for Rails"
+HOMEPAGE="https://github.com/mbleigh/seed-fu"
+SRC_URI="https://github.com/mbleigh/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend "
+	>=dev-ruby/activerecord-3.1:*
+	>=dev-ruby/activesupport-3.1:*"
+ruby_add_bdepend "test? ( dev-ruby/sqlite3 )"
+
+all_ruby_prepare() {
+	sed -i -e '/bundler/d' spec/spec_helper.rb || die "sed failed"
+
+	# Avoid failing test that appears not be innocent
+	sed -i -e '/raise an ActiveRecord::RecordNotSaved/,/end/ s:^:#:' spec/seeder_spec.rb || die
+}


             reply	other threads:[~2022-07-15  8:09 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-07-15  8:09 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-19  6:27 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/seed-fu/ Hans de Graaff
2023-07-10  7:36 Hans de Graaff
2023-03-27 13:25 Sam James
2022-12-03  7:13 Hans de Graaff
2020-07-25 17:10 Hans de Graaff
2019-05-04 18:32 Hans de Graaff
2018-09-06  5:32 Hans de Graaff
2018-06-20  5:21 Hans de Graaff
2018-04-27  9:03 Hans de Graaff
2016-09-24  3:37 Hans de Graaff
2016-09-24  3:37 Hans de Graaff
2016-07-04  4:48 Hans de Graaff
2016-03-06 18:41 Manuel Rüger
2016-03-06 18:41 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1657872559.4c3b781cacbac658c049f3aa2fe34c0982ad31a1.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox